Activate a card.
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| dateActivates | Date | 1-20 characters | ✓ | The date from which the activation should be processed. |
| activationKey | String | 1-255 characters | A key to validate a client activation. | |
| activationData | String | 1-255 characters | Custom data to associate with the activation. | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client. | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>Activate</methodName>
<params>
<param>
<value>
<string>0007654321</string>
</value>
</param>
<param>
<value>
<string>8123456789</string>
</value>
</param>
<param>
<value>
<string>765432100051234</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20220823T08:08:37</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>activationKey</string>
</value>
</param>
<param>
<value>
<string>activationData</string>
</value>
</param>
<param>
<value>
<string>4123456</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20220823T08:08:37</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>1ab2ca3def456e789add876cc5b0d4f03c2f6cba</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value. |
| cardNumber | String | Number of the card found using the cardIdentifier. |
| clientTransactionID | String | Echo of incoming value. |
| serverTransactionID | Date | Transaction ID generated by Paymentology. |
| resultCode | Integer | Status code indicating transaction result. |
| resultText | String | Text indicating transaction result. |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>4123456</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0007654321</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>5231234512123458</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>3269587452-0456F8BE412A455F0JKI52369236540E4EF86E1A</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>